Subject: Re: localed stuck in recent 3.18 git in copy_net_ns?

From: Kevin Fenzi <[email-masked]>
Date: Mon, 20 Oct 2014 14:53:59 -0600

On Mon, 20 Oct 2014 16:43:26 -0400
Dave Jones <[email-masked]> wrote:

> I've seen similar soft lockup traces from the sys_unshare path when
> running my fuzz tester.  It seems that if you create enough network
> namespaces, it can take a huge amount of time for them to be iterated.
> (Running trinity with '-c unshare' you can see the slow down happen.
> In some cases, it takes so long that the watchdog process kills it --
>  though the SIGKILL won't get delivered until the unshare() completes)
> 
> Any idea what this machine had been doing prior to this that may have
> involved creating lots of namespaces ?

That was right after boot. ;) 

This is my main rawhide running laptop.

A 'ip netns list' shows nothing.

kevin